## Apache Zeta Components Manual :: File Source for visitor.php

## Source for file visitor.php

Documentation is available at visitor.php

1. <?php
2. /**
3. * File containing the ezcTreeVisitor interface.
4. *
5. * Licensed to the Apache Software Foundation (ASF) under one
6. * or more contributor license agreements. See the NOTICE file
7. * distributed with this work for additional information
8. * regarding copyright ownership. The ASF licenses this file
9. * to you under the Apache License, Version 2.0 (the
10. * "License"); you may not use this file except in compliance
11. * with the License. You may obtain a copy of the License at
12. *
13. * http://www.apache.org/licenses/LICENSE-2.0
14. *
15. * Unless required by applicable law or agreed to in writing,
16. * software distributed under the License is distributed on an
17. * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
18. * KIND, either express or implied. See the License for the
19. * specific language governing permissions and limitations
20. * under the License.
21. *
22. * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
23. * @version //autogentag//
24. * @filesource
25. * @package Tree
26. */
28. /**
29. * Interface for visitor implementations that want to process
30. * a tree using the Visitor design pattern.
31. *
32. * visit() is called on each of the nodes in the tree in a top-down,
33. * depth-first fashion.
34. *
35. * Start the processing of the tree by calling accept() on the tree
36. * passing the visitor object as the sole parameter.
37. *
38. * @package Tree
39. * @version //autogentag//
40. */
41. interface ezcTreeVisitor
42. {
43. /**
44. * Visit the $visitable.
45. *
46. * Each node in the graph is visited once.
47. *
48. * @param ezcTreeVisitable $visitable
49. * @return bool
50. */
51. public function visit ( ezcTreeVisitable $visitable );
52. }
53. ?>

Documentation generated by phpDocumentor 1.4.3